# frozen_string_literal: true

require 'rails/generators'

module Underlay
  class StylesheetBaseGenerator < Rails::Generators::Base
    source_root File.expand_path(
      File.join('..', '..', '..', 'templates'),
      File.dirname(__FILE__)
    )

    def add_css_config
      copy_file(
        'application.scss',
        'app/assets/stylesheets/application.scss',
        force: true
      )
    end

    def add_flashes_css
      copy_file(
        '_flashes.scss',
        'app/assets/stylesheets/partials/_flashes.scss',
        force: true
      )
    end

    def remove_prior_config
      remove_file 'app/assets/stylesheets/application.css'
    end

    def install_normalize_css
      run 'bin/yarn add normalize.css'
    end
  end
end
