# frozen_string_literal: true

require 'capybara/poltergeist'

Capybara.asset_host = ENV['ASSET_HOST']
Capybara.always_include_port = true
Capybara.register_driver :poltergeist do |app|
  options = {
    timeout: 60,
    js_errors: false,
    phantomjs: Phantomjs.path,
    phantomjs_logger: File.open(File::NULL, 'w'),
    logger: nil,
    phantomjs_options:
    [
      '--load-images=no',
      '--ignore-ssl-errors=yes'
    ]
  }
  Capybara::Poltergeist::Driver.new(app, options)
end
Capybara.javascript_driver = :poltergeist
